gnutls_transport_get_ptr2(3)

NAME
gnutls_transport_get_ptr2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_get_ptr2(gnutls_session_t session, gnutls_transport_ptr_t * recv_ptr, gnutls_transport_ptr_t * send_ptr);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_transport_ptr_t * recv_ptr
    will hold the value for the pull function

gnutls_transport_ptr_t * send_ptr
    will hold the value for the push function

DESCRIPTION
Used to get the arguments of the transport functions (like PUSH and PULL). These should have been set using gnutls_transport_set_ptr2().

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/